## ros-indigo-evapc-start 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(evapc_start)

find_package(catkin REQUIRED)


catkin_package()

foreach(dir launch scripts)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-evapc-start (0.0.6-1trusty) trusty; urgency=high

  * install scripts folder
  * add script which gives permission to sensor
  * add sync.launch which opens master_discovery and master_sync
  * add sync.launch which opens master_discover and master_sync
  * add master_discovery and master_sync launch files
  * update
  * add scripts to change root of lidar and laser sensor drivers
  * add launch files for hokuyo laser
  * add comment for using sudo command without password
  * use openni2 instead of openni for asus xtion
  * add new launch file to run lidar with master_discovery
  * add demo start launch file
  * add changelog
  * configure dependencies
  * first commit
  * Contributors: Mehmet Akcakoca
  * configure dependencies
  * first commit
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-evapc-start (0.0.5-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Thu, 03 Sep 2015 08:22:00 -0000

ros-indigo-evapc-start (0.0.4-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:04:00 -0000

ros-indigo-evapc-start (0.0.3-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Fri, 28 Aug 2015 21:00:00 -0000

ros-indigo-evapc-start (0.0.2-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Thu, 27 Aug 2015 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-evapc-start
Section: misc
Priority: extra
Maintainer: Mehmet Akcakoca <akcakocamehmet@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/evapc_ros
Standards-Version: 3.9.2

Package: ros-indigo-evapc-start
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-master-discovery-fkie, ros-indigo-master-sync-fkie, ros-indigo-openni-launch, ros-indigo-rplidar-ros
Description: The evapc_start provides roslaunch scripts for starting the Evarobot base functionality in PC.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-evapc-start//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
